﻿@using System.Web.UI.WebControls;
@using Portal.Models.DailyOrder;


 

@Html.DevExpress().GridView(
        setting =>
        {
            setting.Name = "OrderDetail_" + ViewData["ManifestNumber"];
            setting.SettingsDetail.MasterGridName = "OrderDetail";
            setting.Name = "SubDetailEmergencyDataGrid";
            setting.Styles.Header.HorizontalAlign = HorizontalAlign.Center;
            setting.Width = Unit.Percentage(100);

            setting.KeyFieldName = "Part_Number";
            setting.Settings.VerticalScrollBarMode = ScrollBarMode.Hidden;
            setting.Settings.VerticalScrollableHeight = 250;
            setting.SettingsPager.Position = PagerPosition.Bottom;
            setting.SettingsPager.FirstPageButton.Visible = true;
            setting.SettingsPager.LastPageButton.Visible = true;
            setting.Settings.ShowFilterRow = true;
            setting.Settings.ShowFilterRowMenu = true;
            setting.CommandColumn.Visible = false;
            setting.CommandColumn.ClearFilterButton.Visible = true;

            setting.SettingsPager.PageSizeItemSettings.Visible = true;
            setting.SettingsPager.PageSizeItemSettings.Items = new string[] { "10", "30", "50", "100" };
            setting.SettingsPager.PageSizeItemSettings.Caption = "Page size";

            setting.Columns.Add("No", "No");
            setting.Columns["No"].CellStyle.HorizontalAlign = HorizontalAlign.Center;
            setting.Columns["No"].Width = Unit.Pixel(25);
            setting.Columns.Add("Part_Number", "Part No");
            setting.Columns["Part_Number"].CellStyle.HorizontalAlign = HorizontalAlign.Center;
            setting.Columns.Add("Part_Name", "Part Name");
            setting.Columns["Part_Name"].CellStyle.HorizontalAlign = HorizontalAlign.Center;
            setting.Columns.Add("Order_Qty", "Order Qty");
            setting.Columns["Order_Qty"].CellStyle.HorizontalAlign = HorizontalAlign.Right;
            setting.Columns.Add("Qty_Lot", "Qty Lot");
            setting.Columns["Qty_Lot"].CellStyle.HorizontalAlign = HorizontalAlign.Right;
            setting.Columns.Add(
                column =>
                {
                    column.FieldName = "Qty_Per_Container";
                    column.Caption = "Qty / Container";
                    //column.ColumnType = MVCxGridViewColumnType.ComboBox;
                    //var comboBoxProperties = column.PropertiesEdit as ComboBoxProperties;
                    //comboBoxProperties.TextField = "Qty_Per_Container";
                    //comboBoxProperties.ValueField = "Qty_Per_Container";
                    //comboBoxProperties.ValueType = typeof(string);
                });
            setting.Columns["Qty_Per_Container"].CellStyle.HorizontalAlign = HorizontalAlign.Right;
            setting.Columns.Add("Order_Qty", "Cancel Qty");
            setting.Columns["Order_Qty"].CellStyle.HorizontalAlign = HorizontalAlign.Right;
        //}).Bind(Model.GetModel<DailyOrderModel>().OrderDetails).GetHtml()
        }).Bind(ViewData["partEmergency"]).GetHtml()

    <table width="100%" border="0">
        <tr>
            <td align="left"></td>
            <td align="Right" width="60px">
                @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnEmergencyUpdateSubDetail";
                    settings.Text = "Update";
                    settings.Width = 80;
                    settings.UseSubmitBehavior = true;
                }
                ).GetHtml()
            </td>
            <td align="Right" width="60px">
                @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnEmergencySubDetail";
                    settings.Text = "Cancel";
                    settings.Width = 80;
                    settings.UseSubmitBehavior = true;
                }
                ).GetHtml()                
            </td>
        </tr>
    </table>